function love.load()
love.graphics.setBackgroundColor(54, 172, 248)
    bulletSpeed = 1000
    
    bullets = {count=0}
	tables = {x=200,y=200}
    player = {x=250, y=250, velocity=2, img=love.graphics.newImage("images//player.png"), angle=0, hp=100,stamina=50,canrun=true}
	pistol = {x=0, y=0, img=love.graphics.newImage("images//weapont.png"), angle=0, ammo=15, maxclip=30, canshot=true}
	zombies = {x=500, y=500, img=love.graphics.newImage("images//zombie1gc.gif"), angle=0, velocity=120, hp=100}
	
	
end

function love.update(dt)
if pistol.ammo == 0 then
if pistol.maxclip > 0 then
pistol.maxclip = pistol.maxclip-15
pistol.ammo = 15
end
end
if pistol.ammo == 0 and pistol.maxclip == 0 then
pistol.canshot = false
end
pistol.x = player.x
pistol.y = player.y
   local dx = math.cos(zombies.angle) * (dt * zombies.velocity)
   local dy = math.sin(zombies.angle) * (dt * zombies.velocity)
   zombies.x = zombies.x - dx
   zombies.y = zombies.y - dy

for i,v in ipairs(bullets) do
        v.x = v.x + (v.dx * dt)
        v.y = v.y + (v.dy * dt)
    end
	if love.keyboard.isDown("s") then
	player.y = player.y + player.velocity
	end
	if love.keyboard.isDown("w") then
	player.y = player.y - player.velocity
	end
	if love.keyboard.isDown("a") then
	player.x = player.x - player.velocity
	end
	if love.keyboard.isDown("d") then
	player.x = player.x + player.velocity
	end
	if love.keyboard.isDown("lshift") then
	if player.canrun == true then
	player.stamina = player.stamina -0.8
	if player.velocity < 3.5 then
	player.velocity = player.velocity +0.1
	else
	player.velocity = player.velocity
	end
	end
	else
	player.velocity = 2
	end
	if player.stamina > 50 then
	player.stamina = 50
	end
	if player.stamina > 0 then
	player.canrun = true
	end
	if player.stamina <= 0 then
	player.canrun = false
	player.velocity = 2
	end
	if player.stamina < 50 then
	player.stamina = player.stamina +0.2
	end
	if player.hp < 0 then
	player.x = 250
	player.y = 250
	end
end



function love.draw()
   player.angle = math.atan2 ( player.y - love.mouse.getY(), player.x - love.mouse.getX())
   zombies.angle = math.atan2 ( zombies.y - player.y, zombies.x - player.x)
   pistol.angle = math.atan2 ( pistol.y - love.mouse.getY(), pistol.x - love.mouse.getX())  
for i,v in ipairs(bullets) do
        love.graphics.circle("fill", v.x, v.y, 2)
    end
    love.graphics.print(zombies.hp,zombies.x-10,zombies.y-32)	
    love.graphics.print("STAMINA: "..math.floor(player.stamina),100,80)
	love.graphics.print(pistol.ammo..":"..pistol.maxclip)
	love.graphics.print(bullets.count,100,10)
    love.graphics.draw(player.img, player.x,player.y,player.angle,sx,sy,player.img:getWidth()/2,player.img:getHeight()/2)
	love.graphics.draw(pistol.img, player.x,player.y, player.angle,sx,sy,pistol.img:getWidth()/2,pistol.img:getHeight()/2)
	love.graphics.draw(zombies.img, zombies.x,zombies.y, zombies.angle,sx,sy,zombies.img:getWidth()/2,zombies.img:getHeight()/2) 
	
	love.graphics.setColor(255,0,0)
	love.graphics.rectangle("fill", 500,500,50,50)
	love.graphics.setColor(255,255,255)
	love.graphics.rectangle("fill",100,100, player.stamina*2, 20)
	
    
end

function love.mousepressed(x, y, button)
if pistol.canshot == true then
    if button == "l" then
        local startX = player.x -- + player.img:getWidth()/2
        local startY = player.y -- + player.img:getHeight()/2
        local mouseX = x
        local mouseY = y
        local angle = math.atan2((mouseY - startY), (mouseX - startX))
        
        local bulletDx = bulletSpeed * math.cos(angle)
        local bulletDy = bulletSpeed * math.sin(angle)
        table.insert(bullets, {x = startX, y = startY, dx = bulletDx, dy = bulletDy})
		bullets.count = bullets.count+1
		pistol.ammo = pistol.ammo - 1
    end
	end

end